Skip to main content
POST
Create an agent account

Authorizations

token
string
query
required

Vida API Token

Query Parameters

targetAccountId
string

Organization account ID. Required when the API key is not already scoped to the organization.

Body

application/json
accountName
string
required

Customer-facing name for the new agent account.

Example:

"Acme Solar Bay Area Support Agent"

externalAccountId
string

Optional identifier from another business system.

Example:

"AC_12345"

externalBillingId
string

Optional identifier from another billing system.

Example:

"billing-id-6789"

integrations
object[]

Optional list of third-party app integrations to set up for the new agent account.

Example:

Response

200 - application/json

Account created

success
boolean
Example:

true

message
string
Example:

"Account created"

account
object

The newly created agent account without its API key.